Debian Bug report logs - #569812
manpages-dev: setuid(2) claims seteuid(2) is non-POSIX, seteuid(2) says it conforms to POSIX

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Ansgar Burchardt <ansgar@2008.43-1.org>

Date: Sun, 14 Feb 2010 14:00:02 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages/3.23-1

Fixed in version manpages/3.24-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#569812; Package manpages-dev. (Sun, 14 Feb 2010 14:00:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@2008.43-1.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: setuid(2) claims seteuid(2) is non-POSIX, seteuid(2) says it conforms to POSIX
Date: Sun, 14 Feb 2010 22:57:05 +0900
Package: manpages-dev
Version: 3.23-1
Severity: minor
File: /usr/share/man/man2/setuid.2.gz

Hi,

the setuid(2) man page contains the following sentence:

  You can accomplish this with the (non-POSIX, BSD) call seteuid(2).

But the seteuid(2) man page claims seteuid() and seteguid() conform to
POSIX.1-2001.  One of these two must be wrong.

Regards,
Ansgar

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages manpages-dev depends on:
ii  manpages                      3.23-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

Versions of packages manpages-dev suggests:
ii  konqueror [man-browser]       4:4.3.2-1  KDE 4's advanced file manager, web
ii  man-db [man-browser]          2.5.6-5    on-line manual pager

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#569812; Package manpages-dev. (Sun, 21 Feb 2010 14:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 21 Feb 2010 14:51:03 GMT) Full text and rfc822 format available.

Message #8 received at 569812@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Ansgar Burchardt <ansgar@2008.43-1.org>, 569812@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#569812: manpages-dev: setuid(2) claims seteuid(2) is non-POSIX, seteuid(2) says it conforms to POSIX
Date: Sun, 21 Feb 2010 15:49:58 +0100
tags 569812 fixed-upstream
thanks

On Sun, Feb 14, 2010 at 2:57 PM, Ansgar Burchardt <ansgar@2008.43-1.org> wrote:
> Package: manpages-dev
> Version: 3.23-1
> Severity: minor
> File: /usr/share/man/man2/setuid.2.gz
>
> Hi,
>
> the setuid(2) man page contains the following sentence:
>
>  You can accomplish this with the (non-POSIX, BSD) call seteuid(2).
>
> But the seteuid(2) man page claims seteuid() and seteguid() conform to
> POSIX.1-2001.  One of these two must be wrong.

Thanks Ansgar. the setuid() page is wrong (at least nowadays), and I
amended it to remove the text saying that seteuid(2) is non-POSIX.

Che fix will be in upstream 2.34.

Cheers,

Michael


> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers testing
>  APT policy: (900, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
> Locale: LANG=C, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages manpages-dev depends on:
> ii  manpages                      3.23-1     Manual pages about using a GNU/Lin
>
> manpages-dev recommends no packages.
>
> Versions of packages manpages-dev suggests:
> ii  konqueror [man-browser]       4:4.3.2-1  KDE 4's advanced file manager, web
> ii  man-db [man-browser]          2.5.6-5    on-line manual pager
>
> -- no debconf information
>
>
>
>



-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface" http://blog.man7.org/




Added tag(s) fixed-upstream. Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Sun, 21 Feb 2010 14:51:05 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Tue, 02 Mar 2010 21:48:19 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@2008.43-1.org>:
Bug acknowledged by developer. (Tue, 02 Mar 2010 21:48:19 GMT) Full text and rfc822 format available.

Message #15 received at 569812-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 569812-close@bugs.debian.org
Subject: Bug#569812: fixed in manpages 3.24-1
Date: Tue, 02 Mar 2010 21:42:12 +0000
Source: manpages
Source-Version: 3.24-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.24-1_all.deb
  to main/m/manpages/manpages-dev_3.24-1_all.deb
manpages_3.24-1.diff.gz
  to main/m/manpages/manpages_3.24-1.diff.gz
manpages_3.24-1.dsc
  to main/m/manpages/manpages_3.24-1.dsc
manpages_3.24-1_all.deb
  to main/m/manpages/manpages_3.24-1_all.deb
manpages_3.24.orig.tar.gz
  to main/m/manpages/manpages_3.24.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 569812@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 02 Mar 2010 21:49:58 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.24-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 554819 558300 569812
Changes: 
 manpages (3.24-1) unstable; urgency=low
 .
   * New upstream version
     . Remove crufty statement in setuid(2) that seteuid() is not in POSIX
       (closes: Bug#569812)
     . Fix description of 'nochdir' argument in daemon(3) (closes: Bug#554819)
     . Fix NAME line in path_resolution(7) (closes: Bug#558300)
Checksums-Sha1: 
 39904fa3b50c4b5d3a293857685701de484cc49a 965 manpages_3.24-1.dsc
 f2c6a5de843cea26e2542b7dd93b9adbc1bd7584 1608365 manpages_3.24.orig.tar.gz
 20b8826992c1d8e48cef5da3c1b2f6a9f4777310 48636 manpages_3.24-1.diff.gz
 927d63358c3c271316984e47d8d6fd3573f7c639 722592 manpages_3.24-1_all.deb
 72013ccad6aefc3eb79000855c20ef8856fa1c51 1569148 manpages-dev_3.24-1_all.deb
Checksums-Sha256: 
 6088b723fdb908e343efcbc129f017b2f85f3e7a9115135ad1710d5b3b05b9e6 965 manpages_3.24-1.dsc
 2698756341f833279b7391c506dca0e73d9409c6e082e329b3d746aa31888b68 1608365 manpages_3.24.orig.tar.gz
 6c29db07de782b7e3637edac1b745bf5be1c2f023a95751ba9beba9ae15a8765 48636 manpages_3.24-1.diff.gz
 316a4b7522e2a9a8e792dcc2d15435d94178d2cb9484bf93329c99a14c383367 722592 manpages_3.24-1_all.deb
 fd91851e3e239e6621b7d1f682e027c699c061415ea364c81f94b1557394b720 1569148 manpages-dev_3.24-1_all.deb
Files: 
 7b45a02c5d7c46a7707425f445af8551 965 doc important manpages_3.24-1.dsc
 083fc666f1f1143157901e96c9810539 1608365 doc important manpages_3.24.orig.tar.gz
 4b3dc9fa4abe30ad4aae6a1dc9b0d40e 48636 doc important manpages_3.24-1.diff.gz
 628d79cebb1da361237220d095e261d3 722592 doc important manpages_3.24-1_all.deb
 50c29169c064ab64307338825e15994d 1569148 doc optional manpages-dev_3.24-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLjX0GW5ql+IAeqTIRAqUtAJ9DcPMPr4W10zkKBwYehFgi5Ke05wCgrRwl
YquRUTdnb2S52owFRKmrJMs=
=5ZGK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Apr 2010 07:29:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:14:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.